Open CASCADE Technology: GeomLib_Check2dBSplineCurve Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GeomLib_Check2dBSplineCurve Class Reference

Checks for the end tangents : wether or not those are reversed. More...

`#include <GeomLib_Check2dBSplineCurve.hxx>`

## Public Member Functions
| GeomLib_Check2dBSplineCurve (const Handle< Geom2d_BSplineCurve > &Curve, const Standard_Real Tolerance, const Standard_Real AngularTolerance)
Standard_Boolean | IsDone () const
void | NeedTangentFix (Standard_Boolean &FirstFlag, Standard_Boolean &SecondFlag) const
void | FixTangent (const Standard_Boolean FirstFlag, const Standard_Boolean LastFlag)
Handle< Geom2d_BSplineCurve > | FixedTangent (const Standard_Boolean FirstFlag, const Standard_Boolean LastFlag)
| modifies the curve by fixing the first or the last tangencies More...

## Detailed Description

Checks for the end tangents : wether or not those are reversed.

## Constructor & Destructor Documentation

GeomLib_Check2dBSplineCurve::GeomLib_Check2dBSplineCurve | ( | const Handle< Geom2d_BSplineCurve > & | Curve,
|  | const Standard_Real | Tolerance,
|  | const Standard_Real | AngularTolerance
| ) |  |

## Member Function Documentation

Handle< Geom2d_BSplineCurve > GeomLib_Check2dBSplineCurve::FixedTangent | ( | const Standard_Boolean | FirstFlag,
|  | const Standard_Boolean | LastFlag
| ) |  |

modifies the curve by fixing the first or the last tangencies

if Index3D not in the Range [1,Nb3dSpaces] if the Approx is not Done

void GeomLib_Check2dBSplineCurve::FixTangent | ( | const Standard_Boolean | FirstFlag,
|  | const Standard_Boolean | LastFlag
| ) |  |

Standard_Boolean GeomLib_Check2dBSplineCurve::IsDone | ( |  | ) | const

void GeomLib_Check2dBSplineCurve::NeedTangentFix | ( | Standard_Boolean & | FirstFlag,
|  | Standard_Boolean & | SecondFlag
| ) |  | const

The documentation for this class was generated from the following file:

- GeomLib_Check2dBSplineCurve.hxx